html {
	position: relative;
	min-height: 100%;
}

body {
	/* Margin bottom by footer height */
	margin-bottom: 60px;
}

body>.container {
	padding: 70px 15px 0;
}

.new-entity {
	margin-bottom: 1rem;
}

.vertical-space {
	margin-top: 15px;
	margin-bottom: 15px;
}

.error-text {
	color:#a94442;
}

.footer>.container {
	padding-right: 15px;
	padding-left: 15px;
	margin-top: 3.5rem;
}

#app_version {
	margin-top: -0.5rem;
	margin-bottom: 2rem;
}

#logos {
	/* Adjusting the height will change the size of the logos. */
	height: 70px;
}

.custom-select.is-valid, .form-control.is-valid, .was-validated .custom-select:valid, .was-validated .form-control:valid {
	border-color: #ced4da; /* default grey border color */
}

label.required-field::after {
	content: " *";
	color: red;
}

footer img.img-fluid {
	height: 100%;
	margin-right: 1.2rem;
}

footer img.last-item {
	margin-right: 0px;
}

div.parent-summary {
	padding-top: 1.5rem;
	padding-bottom: 1.5rem;
}

div.parent-summary strong {
	font-size: 1.2rem;
}

/** Bootstrap 5 **/
.form-group {
	margin-bottom: 1rem;
}

.preserve-whitespace {
	white-space: pre;
}

.dropdown-menu.time-options {
	max-height: 200px;
	overflow-y: scroll;
}
.time-input {
	cursor: pointer;
}

.form-instructions {
	font-size: .9em;
	font-style: italic;
	font-weight: lighter;
}

.study-page {
	margin-top: 60px;
	margin-bottom: 15px;
}

.navbar-nav .nav-link {
	color: #FAF9F6;
}

.navbar-brand {
	font-size: 2em;
}

.blockquote {
    border-left: 3px solid rgba(0, 0, 0, 0.1);
    color: rgba(0, 0, 0, 0.8);
    padding-left: 0.8rem;
    font-style: italic;
}

.blockquote p {
    margin: 0;
}

/* Tiptap wraps table cells in paragraphs, and paragraphs have extra spacing in Bootstrap */
.managed-content-table  p {
    margin-bottom: 0px;
}

/* Study Page styles derived from https://www.w3.org/TR/CSS22/sample.html */

.study-page h1 {
	font-size: 2em;
	margin: .67em 0
}

.study-page h2 {
	font-size: 1.5em;
	margin: .75em 0
}

.study-page h3 {
	font-size: 1.17em;
	margin: .83em 0
}

.study-page h4,
.study-page p,
.study-page blockquote,
.study-page ul,
.study-page fieldset,
.study-page form,
.study-page ol,
.study-page dl,
.study-page dir,
.study-page menu {
	margin: 1.12em 0
}

.study-page h5 {
	font-size: .83em;
	margin: 1.5em 0
}

.study-page h6 {
	font-size: .75em;
	margin: 1.67em 0
}